<?php

namespace App\Http\Controllers\Api;


use App\Http\Controllers\Controller;

class AuthController extends Controller
{

    public function me()
    {
        return response()->json($this->guard()->user());
    }


    public function logout()
    {
        $this->guard()->logout();

        return response()->jsonSuccess(200,'Successfully logged out');
    }


    public function refresh()
    {
        return $this->respondWithToken($this->guard()->refresh());
    }


    public function payload()
    {
        return $this->guard()->payload();
    }
}
