<?php

namespace App\Http\Controllers\Api;

use App\User;
use App\Http\Requests\LoginRequest;
use App\Http\Controllers\Controller;

class LoginController extends Controller
{
    public function login(LoginRequest $request)
    {
        $validated = $request->validated();
        //dd($validated);

        $user = User::where('mobile' ,$validated['mobile'])
            ->where('otp' , $validated['otp'])
            ->firstOrFail();
        //dd($user);



        if (! $token = $this->guard()->login($user) ) {
            return response()->jsonError(401, 'UNAUTHORIZED');
        }
        //dd(auth('api')->user());
        return $this->respondWithToken($token);
    }
}
